#ifndef MSP_GRAPHICS_WINDOW_PLATFORM_H_
#define MSP_GRAPHICS_WINDOW_PLATFORM_H_

#include <X11/Xlib.h>

namespace Msp {
namespace Graphics {

typedef ::Window WindowHandle;

struct PlatformWindowPrivate
{
	Atom wm_delete_window;
	Cursor invisible_cursor;
	bool reparented;
	int rel_x;
	int rel_y;
};

struct PlatformEvent
{
	XEvent xevent;
};

} // namespace Graphics
} // namespace Msp

#endif
