#ifndef MSP_GRAPHICS_WINDOW_PLATFORM_H_
#define MSP_GRAPHICS_WINDOW_PLATFORM_H_

#include <windows.h>

namespace Msp {
namespace Graphics {

typedef HWND WindowHandle;

struct PlatformWindowPrivate
{
	bool cursor_in_client_area;
	bool cursor_visible;
};

struct PlatformEvent
{
	UINT msg;
	WPARAM wparam;
	LPARAM lparam;
	LPARAM extra;
};

} // namespace Graphics
} // namespace Msp

#endif
